<?php
#   SGT - The SGT for Internet - http://sgt.eti.br
#   Copyright (c) 2016-2018, Jean Azevedo. All rights reserved.

#   This file is part of SGT.

#   SGT is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   any later version.

#   SGT is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.

#   You should have received a copy of the GNU General Public License
#   along with Foobar.  If not, see <http://www.gnu.org/licenses/>.

    include("../seguranca_geral.php");
    protegePagina();
    include "../conectar.php";
    include "../log_.php";
    include "../mail.php";
    if($_SERVER['REQUEST_METHOD']=='GET'){
        $id_get = $_GET['id'];
        $busca=$pdo_sgt->prepare("SELECT * FROM tb_equipamentos WHERE id=:id");
        $busca->bindValue(":id",$id_get);
        $busca->execute();
        $dados=$busca->fetch(PDO::FETCH_ASSOC);
        $del = $dados['id'];
    }
    elseif($_SERVER['REQUEST_METHOD']=='POST'){
        date_default_timezone_set('America/Sao_Paulo');
        $hora = date('Y-m-d H:i:s', time());
        $user = $_SESSION['usuarioLogin'];
        $id = isset($_POST["id"]) ? $_POST["id"]: '';
        $id = ($id);
        $unidade = isset($_POST["unidade"]) ? $_POST["unidade"]: '';
        $setor = isset($_POST["setor"]) ? $_POST["setor"]: '';
        $mac_1 = isset($_POST["mac_1"]) ? $_POST["mac_1"]: '';
        $desc_eqp = isset($_POST['desc_tex_area']) ? $_POST['desc_tex_area']: '';
        $nptri = isset($_POST["nptri"]) ? $_POST["nptri"]: '';
        $ativo = (isset($_POST['ativo'])) ? 1 : 0;
        $envia_email = 0;
        $envia_email_u = 0;
        $alt_eqp = 0;
        $emailcormpo = '<html><body>';
        $emailcormpo .= '<h2 style="color:#000000;">Alteração - Equipamento!</h2>';
        $busca_e = $pdo_sgt->prepare("SELECT * FROM tb_equipamentos WHERE id=:id");
        $busca_e->bindValue(":id",$id);
        $busca_e->execute();
        $dados_e = $busca_e->fetch(PDO::FETCH_ASSOC);
        $ant_unid_1_e = $dados_e['unidade'];
        if($ant_unid_1_e != $unidade){
            $busca_unid_1 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:ant_unid_1_e");
            $busca_unid_1->bindValue(":ant_unid_1_e",$ant_unid_1_e);
            $busca_unid_1->execute();
            $dados_unid_1 = $busca_unid_1->fetch(PDO::FETCH_ASSOC);
            $ant_unid_1_e = $dados_unid_1['unidade'];
            $ant_email_1_email = $dados_unid_1['email_pt1'];
            $ant_email_1_nome = $dados_unid_1['nome_pt1'];
            $ant_email_2_email = $dados_unid_1['email_pt2'];
            $ant_email_2_nome = $dados_unid_1['nome_pt2'];
            $busca_unid_2 = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
            $busca_unid_2->bindValue(":unidade",$unidade);
            $busca_unid_2->execute();
            $dados_unid_2 = $busca_unid_2->fetch(PDO::FETCH_ASSOC);
            $nov_unid_2_e = $dados_unid_2['unidade'];
            $email_1_email = $dados_unid_2['email_pt1'];
            $email_1_nome = $dados_unid_2['nome_pt1'];
            $email_2_email = $dados_unid_2['email_pt2'];
            $email_2_nome = $dados_unid_2['nome_pt2'];
            $des_oc = "Foi alterado de unidade de ".$ant_unid_1_e." para ".$nov_unid_2_e.".";
            $query_oc = "INSERT INTO tb_oc_eqp (dt,user_nome,cod_e,tipo,des) VALUES (:hora, :user, :id, '3', :des_oc)";
            $oc_eqp_unid = $pdo_sgt->prepare($query_oc);
            $oc_eqp_unid->bindValue(":hora",$hora);
            $oc_eqp_unid->bindValue(":user",$user);
            $oc_eqp_unid->bindValue(":id",$id);
            $oc_eqp_unid->bindValue(":des_oc",$des_oc);
            $oc_eqp_unid->execute();
            $envia_email = 1;
            $envia_email_u = 1;
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">O equipamento '.$dados_e['cod_e'].' foi alterado de unidade.</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade anterior: '.$ant_unid_1_e.'</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Unidade atual: '.$nov_unid_2_e.'</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
        }
        $ant_setor_1_e = $dados_e['setor'];
        if($ant_setor_1_e != $setor){
            $busca_setor_1 = $pdo_sgt->prepare("SELECT * FROM tb_setores WHERE id=:ant_setor_1_e");
            $busca_setor_1->bindValue(":ant_setor_1_e",$ant_setor_1_e);
            $busca_setor_1->execute();
            $dados_setor_1 = $busca_setor_1->fetch(PDO::FETCH_ASSOC);
            $ant_setor_1_e = $dados_setor_1['setor'];
            $busca_setor_2 = $pdo_sgt->prepare("SELECT * FROM tb_setores WHERE id=:setor");
            $busca_setor_2->bindValue(":setor",$setor);
            $busca_setor_2->execute();
            $dados_setor_2 = $busca_setor_2->fetch(PDO::FETCH_ASSOC);
            $nov_setor_2_e = $dados_setor_2['setor'];
            $des_oc = "Foi alterado o setor de ".$ant_setor_1_e." para ".$nov_setor_2_e.".";
            $query_oc = "INSERT INTO tb_oc_eqp (dt,user_nome,cod_e,tipo,des) VALUES (:hora, :user, :id, '3', :des_oc)";
            $oc_eqp_set = $pdo_sgt->prepare($query_oc);
            $oc_eqp_set->bindValue(":hora",$hora);
            $oc_eqp_set->bindValue(":user",$user);
            $oc_eqp_set->bindValue(":id",$id);
            $oc_eqp_set->bindValue(":des_oc",$des_oc);
            $oc_eqp_set->execute();
            $envia_email = 1;
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">O equipamento '.$dados_e['cod_e'].' foi alterado de setor.</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Setor anterior: '.$ant_setor_1_e.'</p>';
            $emailcormpo .= '<p style="color:#000000;font-size:14px;">Setor atual: '.$nov_setor_2_e.'</p><p></p>';
            $emailcormpo .= '<p style="color:#000000;font-size:12px;">----------------------------------------------------------------------</p><p></p>';
        }
        $select_mac_1 = $pdo_sgt->prepare("SELECT * FROM tb_equipamentos WHERE mac_1=:mac_1");
        $select_mac_1->bindValue(":mac_1",$mac_1);
        $select_mac_1->execute();
        $array_mac_1 = $select_mac_1->fetch(PDO::FETCH_ASSOC);
        if($array_mac_1['id'] != $id){
            $logarray_mac_1 = $array_mac_1['mac_1'];
        } else {
            $logarray_mac_1 = "";
        }
        if($mac_1 != ""){
            if($logarray_mac_1 == $mac_1){
                echo"<script language='javascript' type='text/javascript'>
                    alert('Esse endereço MAC já existe!');
                    window.history.go(-1)>Volta;
                </script>";
                die();
            } else {
                $alt_eqp = 1;
            }
        }
        if ($alt_eqp != 0 || $mac_1 == "") {
            $query = "UPDATE tb_equipamentos SET unidade='$unidade',setor='$setor',mac_1='$mac_1',nptri='$nptri',desc_eqp='$desc_eqp',ativo='$ativo' WHERE id='$id'";
            $atualizar = $pdo_sgt->query($query);
            $mensagem= $query;
            salvaLog($mensagem);
            if($envia_email != 0){
                # Define os destinatário(s)
                if($envia_email_u != 0){
                    $mail->AddAddress("$email_1_email", "$email_1_nome");
                    if ($email_2_email  != "" && $email_2_nome != "" ){
                        $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
                    }
                    $mail->AddCC("$ant_email_1_email", "$ant_email_1_nome");
                    if ($ant_email_2_email  != "" && $ant_email_2_nome != "" ){
                        $mail->AddCC("$ant_email_2_email", "$ant_email_2_nome"); # Copia
                    }
                } else {
                    $busca_unid_email = $pdo_sgt->prepare("SELECT * FROM tb_unidades WHERE id=:unidade");
                    $busca_unid_email->bindValue(":unidade",$unidade);
                    $busca_unid_email->execute();
                    $dados_unid_email = $busca_unid_email->fetch(PDO::FETCH_ASSOC);
                    $email_1_email = $dados_unid_email['email_pt1'];
                    $email_1_nome = $dados_unid_email['nome_pt1'];
                    $email_2_email = $dados_unid_email['email_pt2'];
                    $email_2_nome = $dados_unid_email['nome_pt2'];
                    $mail->AddAddress("$email_1_email", "$email_1_nome");
                    if ($email_2_email  != "" && $email_2_nome != "" ){
                        $mail->AddCC("$email_2_email", "$email_2_nome"); # Copia
                    }
                }
                #$mail->AddAddress('webmaster@nomedoseudominio.com'); # Caso queira receber uma copia
                #$mail->AddCC('ciclano@site.net', 'Ciclano'); # Copia
                #$mail->AddBCC('fulano@dominio.com.br', 'Fulano da Silva'); # Cópia Oculta
                # Define os dados técnicos da Mensagem
                $mail->IsHTML(true); # Define que o e-mail será enviado como HTML
                #$mail->CharSet = 'iso-8859-1'; # Charset da mensagem (opcional)
                # Define a mensagem (Texto e Assunto)
                // Compo E-mail
                $emailcormpo .= '<p style="color:#000000;font-size:12px;">Confira as informações <a href="'.$sgturl.'qr/qre.php?cod_e='.$dados_e['cod_e'].'">'.$dados_e['cod_e'].'</a>.</p>';
                $emailcormpo .= '</body></html>';
                $mail->Subject = utf8_decode("Mudança Patrimonio - SGT"); # Assunto da mensagem
                $mail->Body = utf8_decode("$emailcormpo");
                $mail->AltBody = utf8_decode("$emailcormpo");
                # Define os anexos (opcional)
                #$mail->AddAttachment("c:/temp/documento.pdf", "documento.pdf"); # Insere um anexo
                # Envia o e-mail
                $enviado = $mail->Send();
                # Limpa os destinatários e os anexos
                $mail->ClearAllRecipients();
                $mail->ClearAttachments();
            }
            echo"<script language='javascript' type='text/javascript'>
                window.location.href='unid_list_eqp.php';
            </script>";
        }
    }
?>